#!/usr/bin/env python
#
#
import coral

c1 = coral.meta.UML14.Class()
c2 = coral.meta.UML14.Class()
c3 = coral.meta.UML14.Class()

set = coral.Set()
seq = coral.Sequence()

set.add(c1)
set.add(c2)
set.add(c3)

seq.add(c2)

newset = set.setDifference(seq)

print newset
assert len(newset) == 2
assert c1 in newset
assert c3 in newset
